Package org.eclipse.birt.chart.model.data

# Interface DateTimeDataSet

All Superinterfaces:
  `DataSet`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DateTimeDataSetImpl`

public interface DateTimeDataSet extends DataSet
A representation of the model object 'Date Time Data Set'. This type holds the date/time data associated with a series.

See Also:
  - `DataPackage.getDateTimeDataSet()`

## Method Summary

Modifier and Type
Method
Description
`DateTimeDataSet`
`copyInstance()`

### Methods inherited from interface org.eclipse.birt.chart.model.data.DataSet

`getValues, isBigNumber, setValues`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### copyInstance

DateTimeDataSet copyInstance()

Specified by:
  `copyInstance` in interface `DataSet`
Specified by:
  `copyInstance` in interface `IChartObject`